### Hierarchy

- NotificationContent
  - ToastContent

### Indexable

[key: string]: any

## Index

### Properties

- actions
- closeLabel
- duration
- links
- lowContrast
- message
- showClose
- smart
- target
- template
- title
- type

## Properties

### Optional actions

actions: NotificationAction[]

- Defined in src/notification/notification-content.interface.ts:16

### Optional closeLabel

closeLabel: any

- Defined in src/notification/notification-content.interface.ts:11

### Optional duration

duration: number

- Defined in src/notification/notification-content.interface.ts:9

### Optional links

links: NotificationLink[]

- Defined in src/notification/notification-content.interface.ts:17

### Optional lowContrast

lowContrast: boolean

- Defined in src/notification/notification-content.interface.ts:14

### Optional message

message: string

- Defined in src/notification/notification-content.interface.ts:12

### Optional showClose

showClose: boolean

- Defined in src/notification/notification-content.interface.ts:13

### Optional smart

smart: boolean

- Defined in src/notification/notification-content.interface.ts:10

### Optional target

target: string

- Defined in src/notification/notification-content.interface.ts:8

### Optional template

template: TemplateRef<any>

- Defined in src/notification/notification-content.interface.ts:15

### title

title: string

- Defined in src/notification/notification-content.interface.ts:7

### type

type: string

- Defined in src/notification/notification-content.interface.ts:6

Generated using TypeDoc